package com.cm.smartgate.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: NetManagementConfig
 * @Description:
 * @Author: WangGeng
 * @Date: 2020/8/28 20:31
 * @Version: 1.0
 **/
@Configuration
@ConfigurationProperties(prefix = "net-management")
public class NetManagementConfig {

    private String configPath;

    private String soPath;

    public String getConfigPath() {
        return configPath == null ? "" : configPath.trim();
    }

    public void setConfigPath(String configPath) {
        this.configPath = configPath;
    }

    public String getSoPath() {
        return soPath == null ? "" : soPath.trim();
    }

    public void setSoPath(String soPath) {
        this.soPath = soPath;
    }
}
